curl --request POST \
--url https://api.getcargo.io/v1/connection/connectors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"integrationSlug": "<string>",
"config": {},
"cacheTtlMilliseconds": 123
}
'{
"connector": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"slug": "<string>",
"rateLimit": {
"unit": "day",
"max": 123
},
"cacheTtlMilliseconds": 123,
"integrationSlug": "<string>",
"playsCount": 123,
"toolsCount": 123,
"modelsCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"useCredits": true,
"config": null
},
"dataset": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"slug": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"kind": "<string>",
"connectorUuid": "<string>"
}
}Create a new connector
curl --request POST \
--url https://api.getcargo.io/v1/connection/connectors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"integrationSlug": "<string>",
"config": {},
"cacheTtlMilliseconds": 123
}
'{
"connector": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"slug": "<string>",
"rateLimit": {
"unit": "day",
"max": 123
},
"cacheTtlMilliseconds": 123,
"integrationSlug": "<string>",
"playsCount": 123,
"toolsCount": 123,
"modelsCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"useCredits": true,
"config": null
},
"dataset": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"slug": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"kind": "<string>",
"connectorUuid": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Connector name.
Connector slug.
^[a-z0-9]+(_[a-z0-9]+)*$Integration identifier.
Connector configuration.
Show child attributes
Rate limit configuration.
Show child attributes
Cache time-to-live in milliseconds.
Was this page helpful?